#Spec file of Webattery project for Fedora Distribution
 
Name:           webattery
Version:        1.2
Release:        7%{?dist}
Summary:        Command to display battery status
Group:          Applications/System
License:        GPLv3+
URL:            http://webattery.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Webattery is a command line tool to display battery status with a cool battery 
like output.
 
%prep
 
%setup -q

%build

%configure
 
make %{?_smp_mflags}

 
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}%{_bindir}/batt
rm -rf %{buildroot}%{_mandir}/man1/batt.1

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING TODO
%{_mandir}/man1/webattery.1*
%{_bindir}/webattery
 
 
%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2010 Alagunambi Welkin <alagunambiwelkin@gmail.com> - 1.2-6
- CFlags removed from make
- Make modified under install macro
- New version of source used
- TODO file added in doc

* Tue Jan 05 2010 Alagunambi Welkin <alagunambiwelkin@gmail.com> - 1.1-5
- Removed '.' from man location under install macro
- Previous change logs of spec file modified

* Thu Dec 30 2009 Alagunambi Welkin <alagunambiwelkin@gmail.com> - 1.1-4
- Build root tag added
- Build root cleaning added at install

* Thu Dec 24 2009 Alagunambi Welkin <alagunamniwelkin@gmail.com> - 1.1-3
- Llicense tag changed
- Removed compression type for man page under install macro

* Thu Dec 24 2009 Alagunambi Welkin <alagunambiwelkin@gmail.com> - 1.1-2
- removing 'buildroot' and batt, batt.1 removed by spec

* Wed Dec 23 2009 Alagunambi Welkin <alagunambiwelkin@gmail.com> - 1.1-1
- Initial package release
